import PlanList from "@/components/rendering/planList";
import { getPlanDetailsCountryRegion } from "@/utils/api/countryRegion";
import Head from "next/head";
import { parseCookies } from "nookies";

export default function PlansRegionsPage({ response, token }: any) {
  return (
    <>
      <Head>
        <title>WaoSim | Regions</title>
        <meta name="description" content="Generated by create next app" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="icon" href="/faviconIcon.svg" />
        <meta
          property="og:image"
          content="https://stagecdn.waosim.com/landingpage/assets/thumbnail/homeThumbnail.png"
        />
      </Head>
      <main>
        <PlanList response={response} token={token} />
      </main>
    </>
  );
}

export async function getServerSideProps(context: any) {
  const { query, req } = context;

  const { id } = query;
  const cookies = parseCookies({ req });

  const { isError, response } = await getPlanDetailsCountryRegion({
    regionId: id,
    waotoken: cookies?.waotoken,
  });

  return {
    props: {
      response: response,
      token: cookies?.waotoken || "",
    },
  };
}
